> > > > Исследователь Google опубликовал критическую уязвимость в роутерах TP-Link

Исследователь Google опубликовал критическую уязвимость в роутерах TP-Link

Опубликовано:

tp-linkКитайская компания TP-Link, похоже, не заинтересована в устранении уязвимости в своем маршрутизаторе AC1900 Smart Home Router SR20. Производитель даже через 90 дней не отреагировал на сообщение о ней от исследователя Google Мэтью Гарретта. В итоге Гаррет обнародовал информацию о проблеме.

Кроме прочего, есть большая вероятность того, что кроме указанной модели та же уязвимость затрагивает и другие устройств TP-Link. Исследовать предпринял несколько попыток контакта, но производитель их игнорировал. Рассматриваемый роутер присутствует на рынке с 2016 года и, помимо сенсорного экрана для умного дома, также имеет поддержку Z-Wave и Zigbee.

Критическая уязвимость, обнаруженная исследователем безопасности, связана с протоколом TDDP (TP-Link Device Debug Protocol). Поскольку процесс выполняется с root-правами, злоумышленники могут выполнять вредоносный код от имени администратора.

Мэтью Гарретт дал следующий комментарий: "TP-Link routers frequently run a process called "tddp" (TP-Link Device Debug Protocol) as root. It's had multiple vulnerabilities in the past and the protocol is fairly well documented. Version 1 has no auth, version 2 requires the admin password. The SR20 still exposes some version 1 commands, one of which (command 0x1f, request 0x01) appears to be for some sort of configuration validation. You send it a filename, a semicolon and then an argument. The router then connects back to the requesting machine over TFTP, requests the filename via TFTP, imports it into a LUA interpreter and passes the argument to the config_test() function in the file it just imported. The interpreter is running as root. The os.execute() method allows you to execute whatever you want, and you're running as root, so victory. tddp is listening on all interfaces but the default firewall rules block WAN access, so this is local network only."

Однако эта уязвимость может работать только в локальной сети, и не доступна через интернет из-за брандмауэра. Однако после атаки с локальной сети можно перенастроить маршрутизатор, чтобы затем использовать эту уязвимость уже через Интернет.

Почему производитель не заинтересован в устранении данной проблемы, не ясно. Также неизвестно, планирует ли компания заменять маршрутизаторы 2016 года обновленными версиями.

Социальные сети

Ваш рейтинг

Ø Рейтинг: 0

Теги

комментарии (0)

Войдите, чтобы оставить комментарий